KMEM_CACHE_ALLOC_NOD(9)

NAME
kmem_cache_alloc_node - Allocate an object on the specified node

SYNOPSIS

void * kmem_cache_alloc_node(struct kmem_cache * cachep, gfp_t flags, int nodeid);

ARGUMENTS

cachep
    The cache to allocate from.

flags
    See kmalloc.

nodeid
    node number of the target node.

DESCRIPTION

Identical to kmem_cache_alloc but it will allocate memory on the given node, which can improve the performance for cpu bound structures.

Fallback to other node is possible if __GFP_THISNODE is not set.

COPYRIGHT